using Demo.Data.RemoteData.RemoteDataBase.DAO;
using Demo.domain.Models;
using System.Collections.Generic;

namespace Demo.Data.Repository
{
    public interface IUserRepository
    {
        IEnumerable<UserLocalEnity> GetAllUsers { get; }
        bool RemoveUserById(int userId);
        UserLocalEnity? UpdateUser(UserLocalEnity user);


        IEnumerable<UserDao> GetAllUsersDao { get; }
        bool RemoveUserByIdDao(int userId);
        UserDao? UpdateUserDao(UserDao user);


    }
}
